/*
**  State Manager for Brief
**  (C) Copyright Darryl G. Whitmore 1992, 1993.  All Rights Reserved.
**
**  File:       $Logfile:   E:/proj/statman/vcs/smrestor.h_v  $
**  Revision:   $Revision:   1.1  $
**  Date:       $Date:   14 Mar 1994 22:43:00  $
**
**  This is the StatMan/restore.cb common header file.  It contains stuff
**  common to the StatMan CBrief macros and Brief's restore.cb.
*/


/*
**  Bit map for _GL_SMFlags.  We can keep several flags in one global
**  variable, thus minimizing our globals.  
*/
#define SM_OVERRIDE         0x00000001  /* StatMan override of restore.cb   */
#define SM_RST_EXECUTED     0x00000002  /* .rst() has been executed         */
#define SM_WRITE_MODIFIED   0x00000004  /* Write modified buffers           */
#define SM_NEED_2_UPDATE    0x00000008  /* Need to update StatMan state file*/
#define SM_LOAD_NEW_STATE   0x00000010  /* Load new state chosen from menu  */
#define SM_STATE_MODIFIED   0x00000020  /* State was modified               */
#define SM_ESC_FROM_MENU    0x00000040  /* ESC from StatMan menu            */

/*
**  restore.cb prototypes
*/
int     _SMInqGlobalFlag( int flag );
void    _SMSetGlobalFlag( int flag2Set, int newValue );

/*
**  smmenu.cb prototypes
*/
void    _SMDeleteAllBuffers( void );
